summaryrefslogtreecommitdiff
path: root/initscripts/initscripts-1.0
diff options
context:
space:
mode:
authorPhil Blundell <philb@gnu.org>2004-11-07 13:00:25 +0000
committerPhil Blundell <philb@gnu.org>2004-11-07 13:00:25 +0000
commit5a1c673a99b32ab82afd167b28d48e90eced281c (patch)
treedf821f67a750037ab7403ddab247b82d34079c3c /initscripts/initscripts-1.0
parent9b7371320f4a7e42d1449bb86781c9bcf4ba90b7 (diff)
Merge bk://openembedded@openembedded.bkbits.net/packages-devel
into stealth.nexus.co.uk:/home/pb/oe/oe-packages 2004/11/07 13:00:10+00:00 nexus.co.uk!pb create /dev/pts before mounting it BKrev: 418e1c69IOdm9TkU4RWD-D0pSZ5cPA
Diffstat (limited to 'initscripts/initscripts-1.0')
-rw-r--r--initscripts/initscripts-1.0/devpts.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/initscripts/initscripts-1.0/devpts.sh b/initscripts/initscripts-1.0/devpts.sh
index e69de29bb2..334cf63801 100644
--- a/initscripts/initscripts-1.0/devpts.sh
+++ b/initscripts/initscripts-1.0/devpts.sh
@@ -0,0 +1,28 @@
+#! /bin/sh
+
+. /etc/default/devpts
+
+test "`uname -s`" = "Linux" || exit 0
+
+#
+# First find out if devpts is available. Also check if devfs
+# is already mounted - in that case we don't want to use devpts.
+#
+if test ! -e /dev/.devfsd && ( grep -q devpts /proc/filesystems )
+then
+ #
+ # Create multiplexor device.
+ #
+ test -c /dev/ptmx || mknod -m 666 /dev/ptmx c 5 2
+
+ #
+ # Mount /dev/pts if needed.
+ #
+ if ( ! grep -q devpts /proc/mounts )
+ then
+ mkdir -p /dev/pts
+ mount -t devpts devpts /dev/pts -ogid=${TTYGRP},mode=${TTYMODE}
+ fi
+fi
+
+exit 0